from parallels.plesk.source.plesk.shallow_dump.model.base.model import ShallowDumpModel


class PleskShallowDumpModel(ShallowDumpModel):
    def __init__(self, dump_agent):
        """Base class for shallow dump object for source Plesk panel

        :type dump_agent: parallels.core.utils.pmm.agent.PmmMigrationAgentBase
        """
        self._dump_agent = dump_agent
